#!/bin/ash
# Mare-Log.sh version 0.01 -- Mare-II Logging Core
 
# Examine Command Line Paramaters:

# The log file to write to;
export LOGFILE="$1";
# If to append or overwrite the file.
export LOGMODE="$2";
#  0 = only print to stdout
#  1 = overwrite
#  2 = append

# Define some stuff.

# The Black Hole to use. Great for debugging.
export BlackHole="/dev/null";

# The default logging mode.
# In this case, we'll set it to append.
export DEFAULT_LOGMODE="2";
# The logger to use.
# In this case, we'll use a simple tee.
export Logger="tee";
# What parameters to give to the logger if overwriting...
export OverwriteParams=" ";
# ...and if appending.
export AppendParams="-a";

# Parse Command Line Parameters

# Evaluate LOGMODE to see which command to use.
export LogCommand="69";
case "$LOGMODE" in
 
 '0') # Only print to standard output.
  export LogCommand="$Logger $BlackHole";
  ;;
 '1') 
  export LogCommand="$Logger $OverwriteParams";
  ;;
 '2')
  export LogCommand="$Logger $AppendParams";
  ;;
esac;

# Do we have a valid log 
